#
# spec file for package IPAPGothic (Version 5.0.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils dos2unix e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Url:            http://www.ipa.go.jp/

Name:           IPAPGothic
BuildRequires:  dos2unix xorg-x11-devel
%if "%(xft-config --prefix)" == "/usr"
%define	ttf_fontdir     /usr/share/fonts/truetype
%else
%define	ttf_fontdir     /usr/X11R6/lib/X11/fonts/truetype
%endif
License:        Any commercial
Group:          System/X11/Fonts
AutoReqProv:    on
Summary:        "Proportional Gothic" Japanese TrueType font made by IPA
Version:        5.0.3
Release:        16.9
Provides:       scalable-font-ja
Provides:       locale(ja)
Source0:        ftp://ftp.ipa.go.jp/IPAfont00203.tar.bz2
Source1:        enduser_license_english.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
"Proportional Gothic" Japanese TrueType font made by IPA
(Information-technology Promotion Agency).



Authors:
--------
    Information-technology Promotion Agency, Japan.  (http://www.ipa.go.jp)

%debug_package
%package -n IPAGothic
License:        Any commercial
Version:        002.003
Release:        3.4
Summary:        "Gothic" Japanese TrueType font made by IPA
Group:          System/X11/Fonts
Provides:       scalable-font-ja
Provides:       locale(ja)

%description -n IPAGothic
"Gothic" Japanese TrueType font made by IPA (Information-technology
Promotion Agency).



Authors:
--------
    Information-technology Promotion Agency, Japan.  (http://www.ipa.go.jp)

%package -n IPAMincho
License:        Any commercial
Version:        002.003
Release:        3.4
Summary:        "Mincho" Japanese TrueType font made by IPA
Group:          System/X11/Fonts
Provides:       scalable-font-ja
Provides:       locale(ja)

%description -n IPAMincho
"Mincho" Japanese TrueType font made by IPA (Information-technology
Promotion Agency).



Authors:
--------
    Information-technology Promotion Agency, Japan.  (http://www.ipa.go.jp)

%package -n IPAPMincho
License:        Any commercial
Version:        002.003
Release:        3.4
Summary:        "Proportional Mincho" Japanese TrueType font made by IPA
Group:          System/X11/Fonts
Provides:       scalable-font-ja
Provides:       locale(ja)

%description -n IPAPMincho
"Proportional Mincho" Japanese TrueType font made by IPA
(Information-technology Promotion Agency).



Authors:
--------
    Information-technology Promotion Agency, Japan.  (http://www.ipa.go.jp)

%package -n IPAUIGothic
License:        Any commercial
Version:        002.003
Release:        3.4
Summary:        "UI Gothic" Japanese TrueType font made by IPA
Group:          System/X11/Fonts
Provides:       scalable-font-ja
Provides:       locale(ja)

%description -n IPAUIGothic
"UI Gothic" Japanese TrueType font made by IPA (Information-technology
Promotion Agency).



Authors:
--------
    Information-technology Promotion Agency, Japan.  (http://www.ipa.go.jp)

%prep
%setup -q -n IPAfont00203
cp $RPM_SOURCE_DIR/enduser_license_english.txt .

%build
for i in Readme00203.txt enduser_license.txt
do
    iconv -f SJIS -t UTF-8 < $i > $i.tmp
    mv $i.tmp $i
    dos2unix $i
done

%install
mkdir -p $RPM_BUILD_ROOT%{ttf_fontdir}
for i in *.ttf
do
    install -m 644 $i $RPM_BUILD_ROOT%{ttf_fontdir}
done

%clean
rm -rf $RPM_BUILD_ROOT;

%post
%run_suseconfig_fonts -c

%postun
%run_suseconfig_fonts -c

%post -n IPAGothic
%run_suseconfig_fonts -c

%postun -n IPAGothic
%run_suseconfig_fonts -c

%post -n IPAMincho
%run_suseconfig_fonts -c

%postun -n IPAMincho
%run_suseconfig_fonts -c

%post -n IPAPMincho
%run_suseconfig_fonts -c

%postun -n IPAPMincho
%run_suseconfig_fonts -c

%post -n IPAUIGothic
%run_suseconfig_fonts -c

%postun -n IPAUIGothic
%run_suseconfig_fonts -c

%files
%defattr(-,root,root)
%doc *.txt
%dir %{ttf_fontdir}/
%{ttf_fontdir}/ipagp.ttf

%files -n IPAGothic
%defattr(-,root,root)
%doc *.txt
%dir %{ttf_fontdir}/
%{ttf_fontdir}/ipag.ttf

%files -n IPAMincho
%defattr(-,root,root)
%doc *.txt
%dir %{ttf_fontdir}/
%{ttf_fontdir}/ipam.ttf

%files -n IPAPMincho
%defattr(-,root,root)
%doc *.txt
%dir %{ttf_fontdir}/
%{ttf_fontdir}/ipamp.ttf

%files -n IPAUIGothic
%defattr(-,root,root)
%doc *.txt
%dir %{ttf_fontdir}/
%{ttf_fontdir}/ipagui.ttf

%changelog
* Thu Apr 03 2008 - mfabian@suse.de
- bnc#374441: add *inofficial* English translation of the license.
* Thu Mar 06 2008 - mfabian@suse.de
- update to 002.003. From the release notes
  http://ossipedia.ipa.go.jp/ipafont/releasenote.html:
  • fixed width flag set to “no” for IPAPGothic (ipagp.ttf),
  IPAPMincho (ipamp.ttf), and IPAUIGothic (ipagui.ttf).
  See also bnc359984. In Qt4 the problems have already been
  fixed by ignoring the “global advance width” when loading the
  font using freetype2, but in many other applications
  e.g. Qt3, these fonts were still handled as fixed width.
  • Glyphs for the following characters have been added:
  U+2014 EM DASH, U+2016 DOUBLE VERTICAL LINE, U+203E OVERLINE,
  U+00AC NOT SIGN, U+00A5 YEN SIGN, U+00A2 CENT SIGN,
  U+00A3 POUND SIGN.
* Tue Jan 29 2008 - mfabian@suse.de
- remove "Requires: grass", not needed anymore.
* Wed Jan 23 2008 - mfabian@suse.de
- Bugzilla #343820, comment #55 and comment #60: use old
  version number from grass (only for IPAPGothic sub-package)
  to avoid update problems because of a decreasing version
  number.
* Wed Jan 09 2008 - mfabian@suse.de
- update to 002.001
  * now supports JIS X 0213:2004 (needed for bug #343820)
  * new, better license
- remove dependency on grass.
* Tue Aug 08 2006 - mfabian@suse.de
- move fonts to /usr/share/fonts because of the move to Xorg X11R7.
- use "run_suseconfig_fonts -c" macro.
- cleanup .spec file
* Tue Feb 28 2006 - mfabian@suse.de
- add "Provides: locale(ja)".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 10 2005 - ro@suse.de
- use mesa-devel-packages in nfb
* Fri Oct 28 2005 - adrian@suse.de
- make font packages noarch
* Mon Jun 13 2005 - ro@suse.de
- do not redefine fgets
* Thu May 12 2005 - meissner@suse.de
- fixed all critical warnings, buffer overflows and lots
  of implicit warnings.
* Wed May 11 2005 - meissner@suse.de
- gcc4 fixes.
* Mon Mar 21 2005 - mfabian@suse.de
- Bugzilla #72784: "grass does not start from the KDE menu":
  fix program name in grass.desktop.
* Fri Feb 25 2005 - mfabian@suse.de
- make IPA fonts require grass, not vice versa
  (because of the license of the IPA fonts).
* Thu Nov 18 2004 - ro@suse.de
- use kerberos-devel-packages
* Mon Nov 15 2004 - ro@suse.de
- fix last change ...
* Fri Nov 12 2004 - ro@suse.de
- fixed file list (needs revisiting)
* Tue Sep 14 2004 - mfabian@suse.de
- use correct version numbers for font sub-packages.
* Mon Sep 13 2004 - mfabian@suse.de
- new package: grass 5.0.3 (i18n version).
